# Deprecated API

## Contents

- Interfaces
- Classes
- Fields
- Methods

Deprecated Interfaces
Interface
Description
org.apache.felix.webconsole.AttachmentProvider
This has been deprecated. Use the org.apache.felix.inventory API instead.
org.apache.felix.webconsole.BrandingPlugin
Use `BrandingPlugin` instead.
org.apache.felix.webconsole.ConfigurationPrinter
This has been deprecated. Use the org.apache.felix.inventory API instead.
org.apache.felix.webconsole.ModeAwareConfigurationPrinter
This has been deprecated. Use the org.apache.felix.status API instead.
org.apache.felix.webconsole.User
Use `User` instead
org.apache.felix.webconsole.VariableResolver
Use `RequestVariableResolver` instead.
org.apache.felix.webconsole.WebConsoleConstants
Either register a servlet using Servlet API 5 or use `AbstractServlet`
org.apache.felix.webconsole.WebConsoleSecurityProvider
Use the `SecurityProvider` instead.
org.apache.felix.webconsole.WebConsoleSecurityProvider2
Use the `SecurityProvider` instead.
org.apache.felix.webconsole.WebConsoleSecurityProvider3
Use the `SecurityProvider` instead.

Deprecated Classes
Class
Description
org.apache.felix.webconsole.AbstractWebConsolePlugin
Either register a servlet using Servlet API 5 or use `AbstractServlet`
org.apache.felix.webconsole.DefaultBrandingPlugin
Plugins should never use the branding plugin directly
org.apache.felix.webconsole.DefaultVariableResolver
Use `RequestVariableResolver` instead.
org.apache.felix.webconsole.SimpleWebConsolePlugin
Either register a servlet using Servlet API 5 or use `AbstractServlet`
org.apache.felix.webconsole.WebConsoleUtil
Some of the methods can be replaced with direct Servlet API calls.

Deprecated Fields
Field
Description
org.apache.felix.webconsole.AbstractWebConsolePlugin.ATTR_FILEUPLOAD
Use the Servlet API for uploads
org.apache.felix.webconsole.AbstractWebConsolePlugin.ATTR_FILEUPLOAD_REPO
Use the Servlet API for uploads
org.apache.felix.webconsole.ConfigurationPrinter.PROPERTY_MODES
Use `WebConsoleConstants.CONFIG_PRINTER_MODES`
org.apache.felix.webconsole.WebConsoleConstants.ATTR_CONSOLE_VARIABLE_RESOLVER
Use `RequestVariableResolver.REQUEST_ATTRIBUTE` instead
org.apache.felix.webconsole.WebConsoleConstants.ATTR_LABEL_MAP
Plugins should never create a navigation themselves
org.apache.felix.webconsole.WebConsoleConstants.ATTR_LANG_MAP
Plugins should never create a navigation themselves
org.apache.felix.webconsole.WebConsoleConstants.CONFIG_PRINTER_MODES
Use the Apache Felix Inventory API
org.apache.felix.webconsole.WebConsoleConstants.CONFIG_PRINTER_WEB_UNESCAPED
Use the Apache Felix Inventory API

Deprecated Methods
Method
Description
org.apache.felix.webconsole.AbstractWebConsolePlugin.getBrandingPlugin()
org.apache.felix.webconsole.AbstractWebConsolePlugin.getParameter(HttpServletRequest, String)
Use the Servlet API for uploads
org.apache.felix.webconsole.AbstractWebConsolePlugin.sendRedirect(HttpServletRequest, HttpServletResponse, String)
use `WebConsoleUtil.sendRedirect(HttpServletRequest, HttpServletResponse, String)`
org.apache.felix.webconsole.AbstractWebConsolePlugin.setBrandingPlugin(BrandingPlugin)
org.apache.felix.webconsole.WebConsoleUtil.escapeHtml(String)
It is better to use specialized encoders instead
org.apache.felix.webconsole.WebConsoleUtil.getParameter(HttpServletRequest, String)
Use the Servlet API for uploads
org.apache.felix.webconsole.WebConsoleUtil.getVariableResolver(ServletRequest)
Use the `RequestVariableResolver` instead.
org.apache.felix.webconsole.WebConsoleUtil.setVariableResolver(ServletRequest, VariableResolver)
Use the `RequestVariableResolver` instead.